Blame SOURCES/0069-console-notifications-use-return-instead-of-exit.patch

a60cd7
From 8482a75bf58d5e68f4c63746cb27433954f1d54a Mon Sep 17 00:00:00 2001
a60cd7
From: Jakub Filak <jfilak@redhat.com>
a60cd7
Date: Thu, 9 Oct 2014 16:28:12 +0200
a60cd7
Subject: [ABRT PATCH 69/69] console-notifications: use return instead of exit
a60cd7
a60cd7
Thanks Ray Strode [halfline] <rstrode@redhat.com>
a60cd7
a60cd7
Related to rhbz#1150169
a60cd7
a60cd7
Signed-off-by: Jakub Filak <jfilak@redhat.com>
a60cd7
---
a60cd7
 src/cli/abrt-console-notification.sh | 10 +++++-----
a60cd7
 1 file changed, 5 insertions(+), 5 deletions(-)
a60cd7
a60cd7
diff --git a/src/cli/abrt-console-notification.sh b/src/cli/abrt-console-notification.sh
a60cd7
index 849273c..38de7bb 100755
a60cd7
--- a/src/cli/abrt-console-notification.sh
a60cd7
+++ b/src/cli/abrt-console-notification.sh
a60cd7
@@ -1,13 +1,13 @@
a60cd7
-# If shell is not connect to a terminal, exit immediately, because this script
a60cd7
+# If shell is not connect to a terminal, return immediately, because this script
a60cd7
 # should print out ABRT's status and it is senseless to continue without
a60cd7
 # terminal.
a60cd7
-tty -s || exit 0
a60cd7
+tty -s || return 0
a60cd7
 
a60cd7
 # If $HOME is not set, a non human user is logging in to shell but this script
a60cd7
-# should provide information to human users, therefore exiting immediately
a60cd7
+# should provide information to human users, therefore returning immediately
a60cd7
 # without showing the notification.
a60cd7
 if [ -z "$HOME" ]; then
a60cd7
-    exit 0
a60cd7
+    return 0
a60cd7
 fi
a60cd7
 
a60cd7
 if [ -z "$ABRT_DEBUG_LOG" ]; then
a60cd7
@@ -19,7 +19,7 @@ SINCEFILE="$LPATHDIR/lastnotification"
a60cd7
 
a60cd7
 if [ ! -f "$LPATHDIR" ]; then
a60cd7
     # It might happen that user doesn't have write access on his home.
a60cd7
-    mkdir -p "$LPATHDIR" >"$ABRT_DEBUG_LOG" 2>&1 || exit 0
a60cd7
+    mkdir -p "$LPATHDIR" >"$ABRT_DEBUG_LOG" 2>&1 || return 0
a60cd7
 fi
a60cd7
 
a60cd7
 TMPPATH=`mktemp --tmpdir="$LPATHDIR" lastnotification.XXXXXXXX 2> "$ABRT_DEBUG_LOG"`
a60cd7
-- 
a60cd7
1.8.3.1
a60cd7